Description

Supportanfrage

I have a problem using ADTF 3.3.3 on Linux when using shared libraries.

I have a target X that is compiled in the runtime as well as the ADTF plugin. The ADTF plugin uses the shared library X and

everything compiles fine until the plugindescription is generated. It seems that the plugindescription generator is not looking in the

very same directory the .adtfplugin file is located because I get the following error message:

2018-09-19 15:42:02 [ERROR]: Could not register plugin in runtime Result code '-27 '(ERR_OPEN_FAILED) - Could not load

plugin "/.../_install/_/bin/TF_CNN_ForwardPass.adtfplugin",libX.so: cannot open shared object file: No such file or directory [File:

/mnt/data/jenkins/ws/A3_bld/PLATFORM/U1604_x64_gcc54/source/src/libraries/ucom3/src/runtime.cpp] [Line: 1782] [Func:

LoadPluginImpl] [main.cpp(229)]

2018-09-19 15:42:02 [ERROR]: Result code '-27 '(ERR_OPEN_FAILED) - Could not load plugin

"/.../_install/_/bin/....adtfplugin",libX.so: cannot open shared object file: No such file or directory [File:

/mnt/data/jenkins/ws/A3_bld/PLATFORM/U1604_x64_gcc54/source/src/libraries/ucom3/src/runtime.cpp] [Line: 1782] [Func:

LoadPluginImpl] [main.cpp(693)]

 Lösung

If your plugin depends on other libraries, you have to define them for the Plugin Description Generator by using RAW_ARG.

Otherwise the runtime could not load the plugin, neither in for generating plugindescription nor using in adtf launcher.

History

#1 - 2018-09-19 16:53 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to AEV

- Platform Ubuntu 16.04 64bit added

#2 - 2018-09-19 16:59 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Markus,

can we switch to German ?

If your plugin depends on other libraries, you have to define them fro the Plugin Description Generator by using RAW_ARG.

Otherwise the runtime could not load the plugin, neither in for generating plugindescription nor using in adtf launcher.

#3 - 2018-09-20 08:16 - hidden
support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_plugindescriptiongenerator.html
support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_plugindescriptiongenerator.html


Alles klar. Vielen Dank! Das ist es gewesen - funktioniert jetzt, wie es soll!

#4 - 2018-09-20 08:49 - hidden

- Project changed from 11 to Public Support

- Subject changed from Linking at runtime to Plugin Description Generator could not load plugin which depends on shared library

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Topic changed from ADTF::Common to ADTF::PluginDescription

- Resolution set to Solved Issue

#5 - 2018-10-09 13:23 - hidden

- Status changed from To Be Closed to Closed
